using Infrastructure.Utilities.Excel;

namespace OpenAuth.App.ServiceApp.DroneSsnydManage.Export;

///<summary>
///设施农用地主表
/// </summary>
[ExcelHeaderStyle]
public class DroneSsnydExport
{
    /// <summary>
    /// 项目编号
    /// </summary>
    [ExcelColumn("项目编号")]
    public string xiangmu_no { get; set; }

    /// <summary>
    /// 项目名称
    /// </summary>
    [ExcelColumn("项目名称")]
    public string xiangmu_name { get; set; }

    /// <summary>
    /// 镇街道
    /// </summary>
    [ExcelColumn("乡镇")]
    public string streetname { get; set; }

    /// <summary>
    /// 村庄
    /// </summary>

    [ExcelColumn("村庄")]
    public string communityname { get; set; }

    /// <summary>
    /// 权利人
    /// </summary>
    [ExcelColumn("权利人")]
    public string quanliren { get; set; }

    /// <summary>
    /// 行政区划
    /// </summary>
    [ExcelColumn("行政区划")]
    public string xingzhengquhua { get; set; }

    /// <summary>
    /// 备案编号
    /// </summary>
    [ExcelColumn("备案编号")]
    public string beian_no { get; set; }

    /// <summary>
    /// 开始时间
    /// </summary>
    [ExcelColumn("开始时间")]
    public DateTime? start_time { get; set; }

    /// <summary>
    /// 结束时间
    /// </summary>
    [ExcelColumn("结束时间")]
    public DateTime? end_time { get; set; }

    /// <summary>
    /// 项目当前用途
    /// </summary>
    [ExcelColumn("项目当前用途")]
    public string xiangmu_yt { get; set; }

    /// <summary>
    /// 设施农业申请用地面积(公顷)
    /// </summary>
    [ExcelColumn("设施农业申请用地面积(公顷)")]
    public decimal? shenqing_area { get; set; }

    /// <summary>
    /// 生产设施用地(公顷)
    /// </summary>
    /// <param name="???"></param>
    /// <returns></returns>
    [ExcelColumn("生产设施用地(公顷)")]
    public decimal? shengchan_area { get; set; }

    /// <summary>
    /// 辅助设施用地(公顷)
    /// </summary>
    /// <param name="???"></param>
    /// <returns></returns>
    [ExcelColumn("辅助设施用地(公顷)")]
    public decimal? fuzhu_area { get; set; }

    /// <summary>
    /// 下发时间
    /// </summary>
    [ExcelColumn("下发时间")]
    public DateTime? xiafatime { get; set; }

    /// <summary>
    /// 项目状态
    /// </summary>
    [ExcelColumn("项目状态")]
    public string handle_status_name { get; set; }
}